{% extends 'base.html' %}
{% load static %}

{% block title %}Room Details{% endblock %}
{% block body %}
    <div id="centerDoc">

        <div class="clearfix">
            <img src="{{ images.0.image.url }}" class="col-md-6 float-md-end mb-3 ms-md-3" alt="{{ room.name }}">

            <p>na detalii:</p>
            <p>cu doar {{ room.price }} lei/noapte poti sa stai in camera asta (puricii inclusi)</p>

        </div>
        <div class="row">

            <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12">
                <div class="card-body">
                    <h5 class="card-title">{{ room.name }}</h5>
                    {#                        <img src="{{ detail.image.url }}" class="card-img-top" alt="{{ room.name }}">#}
                    <div id="carouselExampleFade" class="carousel slide carousel-fade" data-bs-ride="carousel">
                        <div class="carousel-inner">
                            <div class="carousel-item active">
                                <img src="{{ images.0.image.url }}" class="d-block w-100" alt="{{ room.name }}">
                            </div>
                            <div class="carousel-item">
                                <img src="{{ images.1.image.url }}" class="d-block w-100" alt="{{ room.name }}">
                            </div>
                            {#                <div class="carousel-item">#}
                            {#                    <img src="..." class="d-block w-100" alt="...">#}
                            {#                </div>#}
                        </div>
                        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleFade"
                                data-bs-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="visually-hidden">Previous</span>
                        </button>
                        <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleFade"
                                data-bs-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="visually-hidden">Next</span>
                        </button>
                    </div>

                    {#                    <img src="{{ images.0.image.url }}" class="card-img-top" alt="{{ room.name }}">#}
                    {#                    <img src="{{ images.1.image.url }}" class="card-img-top" alt="{{ room.name }}">#}
                    {#                        <img src="{{ images.2.image.url }}" class="card-img-top" alt="{{ room.name }}">#}
                    <p class="card-text">{{ room.room_type }}</p>
                    <p class="card-text">{{ room.description }}</p>

                    <p class="card-text">{{ room.price }} lei/camera/noapte</p>

{#                    <a href="{% url 'reservation_create' %}" class="btn btn-primary m-1">Rezerva</a> {# {% url 'reservation_create' %} #}
                    <a href="{% url 'availability' %}" class="btn btn-primary m-1">Disponibilitate</a>
                </div>
            </div>

        </div>
    </div>
{% endblock %}